[arch-commits] Commit in freehdl/repos (6 files)

Allan McRae allan at archlinux.org
Sat Dec 5 17:08:48 UTC 2015


    Date: Saturday, December 5, 2015 @ 18:08:48
  Author: allan
Revision: 148560

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  freehdl/repos/community-staging-i686/
  freehdl/repos/community-staging-i686/PKGBUILD
    (from rev 148556, freehdl/trunk/PKGBUILD)
  freehdl/repos/community-staging-i686/freehdl.install
    (from rev 148556, freehdl/trunk/freehdl.install)
  freehdl/repos/community-staging-x86_64/
  freehdl/repos/community-staging-x86_64/PKGBUILD
    (from rev 148556, freehdl/trunk/PKGBUILD)
  freehdl/repos/community-staging-x86_64/freehdl.install
    (from rev 148557, freehdl/trunk/freehdl.install)

------------------------------------------+
 community-staging-i686/PKGBUILD          |   30 +++++++++++++++++++++++++++++
 community-staging-i686/freehdl.install   |   20 +++++++++++++++++++
 community-staging-x86_64/PKGBUILD        |   30 +++++++++++++++++++++++++++++
 community-staging-x86_64/freehdl.install |   20 +++++++++++++++++++
 4 files changed, 100 insertions(+)

Copied: freehdl/repos/community-staging-i686/PKGBUILD (from rev 148556, freehdl/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2015-12-05 17:08:48 UTC (rev 148560)
@@ -0,0 +1,30 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Neil Darlow <neil at darlow.co.uk>
+# Contributor: Jens Maucher <defcon at archlinux.us>
+
+pkgname=freehdl
+pkgver=0.0.8
+pkgrel=7
+pkgdesc='An open-source (C++ generating) VHDL simulator'
+arch=('i686' 'x86_64')
+url='http://freehdl.seul.org'
+license=('GPL')
+depends=('perl')
+optdepends=('gtkwave: to view output when run standalone')
+options=('libtool')
+install=${pkgname}.install
+source=("http://downloads.sourceforge.net/qucs/$pkgname-$pkgver.tar.gz")
+md5sums=('aa1382b8b5c6a972e9652c648a9278b5')
+
+build() {
+  cd "${srcdir}"/$pkgname-$pkgver
+  sed -i 's|my $cpplibs = .*|my $cpplibs = "-lm -lfreehdl-kernel -lfreehdl-std";|g' v2cc/gvhdl-local v2cc/gvhdl.in
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd "${srcdir}"/$pkgname-$pkgver
+  make DESTDIR="${pkgdir}" install
+}

Copied: freehdl/repos/community-staging-i686/freehdl.install (from rev 148556, freehdl/trunk/freehdl.install)
===================================================================
--- community-staging-i686/freehdl.install	                        (rev 0)
+++ community-staging-i686/freehdl.install	2015-12-05 17:08:48 UTC (rev 148560)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(fire.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: freehdl/repos/community-staging-x86_64/PKGBUILD (from rev 148556, freehdl/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2015-12-05 17:08:48 UTC (rev 148560)
@@ -0,0 +1,30 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Neil Darlow <neil at darlow.co.uk>
+# Contributor: Jens Maucher <defcon at archlinux.us>
+
+pkgname=freehdl
+pkgver=0.0.8
+pkgrel=7
+pkgdesc='An open-source (C++ generating) VHDL simulator'
+arch=('i686' 'x86_64')
+url='http://freehdl.seul.org'
+license=('GPL')
+depends=('perl')
+optdepends=('gtkwave: to view output when run standalone')
+options=('libtool')
+install=${pkgname}.install
+source=("http://downloads.sourceforge.net/qucs/$pkgname-$pkgver.tar.gz")
+md5sums=('aa1382b8b5c6a972e9652c648a9278b5')
+
+build() {
+  cd "${srcdir}"/$pkgname-$pkgver
+  sed -i 's|my $cpplibs = .*|my $cpplibs = "-lm -lfreehdl-kernel -lfreehdl-std";|g' v2cc/gvhdl-local v2cc/gvhdl.in
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd "${srcdir}"/$pkgname-$pkgver
+  make DESTDIR="${pkgdir}" install
+}

Copied: freehdl/repos/community-staging-x86_64/freehdl.install (from rev 148557, freehdl/trunk/freehdl.install)
===================================================================
--- community-staging-x86_64/freehdl.install	                        (rev 0)
+++ community-staging-x86_64/freehdl.install	2015-12-05 17:08:48 UTC (rev 148560)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(fire.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list